package cz.cuni.amis.pogamut.base.server;

import cz.cuni.amis.pogamut.base.agent.AbstractGhostAgent;
import cz.cuni.amis.pogamut.base.agent.IAgent;
import cz.cuni.amis.pogamut.base.agent.exceptions.AgentException;
import cz.cuni.amis.pogamut.base.agent.worldview.IStartableWorldView;
import cz.cuni.amis.pogamut.base.communication.commands.ICommandSerializer;
import cz.cuni.amis.pogamut.base.utils.logging.AgentLogger;
import java.net.URI;

/**
 *
 * @author ik
 */
public abstract class AbstractWorldServer<WORLD_VIEW extends IStartableWorldView, A extends IAgent> extends AbstractGhostAgent<WORLD_VIEW> implements WorldServer<A> {

    public AbstractWorldServer(AgentLogger agentLogger, WORLD_VIEW worldView, ICommandSerializer commandSerializer) {
        super(agentLogger, worldView, commandSerializer);
        
    }
    
    protected URI worldAddress = null;

    @Override
    public void pause() throws AgentException {

    }

    @Override
    public void resume() throws AgentException {

    }

    @Override
    public URI getWorldAddress() {
        return worldAddress;
    }

}
